Subject: bug#52232: 29.0.50; Can scroll horizontally with pixel-scroll-precision-mode

From: Po Lu <[email-masked]>
Date: Wed, 08 Dec 2021 08:54:36 +0800

Yuan Fu <[email-masked]> writes:

> Sorry for the delay. The problem is that, I cannot scroll horizontally
> when pixel-scroll-precision-mode is enabled. So if I swipe
> horizontally on the touch pad on my Mac machine, the window doesn’t
> move. When pixel-scroll-recision-mode is disabled, the window scrolls
> horizontally as expected.
>
> This only happens (doesn’t scroll) when I swipe slowly on the touch
> pad, if I swipe really hard and really fast, the window does scroll
> (horizontally). Maybe there is something wrong with ns term’s reported
> numbers?

It works here for me in a macOS virtual machine.

Could you tell me what happens when you run describe-key and swipe
sideways on your touchpad?

Thanks.